## EPortEntry EPortEntry |

## Functions

GtkWidget * | e_port_entry_new ()
void | e_port_entry_set_camel_entries ()
gint | e_port_entry_get_port ()
void | e_port_entry_set_port ()
gboolean | e_port_entry_is_valid ()
CamelNetworkSecurityMethod | e_port_entry_get_security_method ()
void | e_port_entry_set_security_method ()
void | e_port_entry_activate_secured_port ()
void | e_port_entry_activate_nonsecured_port ()

## Properties

gboolean | is-valid | Read
guint | port | Read / Write
CamelNetworkSecurityMethod | security-method | Read / Write

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkComboBox
                            ╰── EPortEntry

## Description

## Functions

### e_port_entry_new ()

    GtkWidget *
    e_port_entry_new (void);

### e_port_entry_set_camel_entries ()

    void
    e_port_entry_set_camel_entries (EPortEntry *port_entry,
                                    CamelProviderPortEntry *entries);

### e_port_entry_get_port ()

    gint
    e_port_entry_get_port (EPortEntry *port_entry);

### e_port_entry_set_port ()

    void
    e_port_entry_set_port (EPortEntry *port_entry,
                           gint port);

### e_port_entry_is_valid ()

    gboolean
    e_port_entry_is_valid (EPortEntry *port_entry);

### e_port_entry_get_security_method ()

    CamelNetworkSecurityMethod
    e_port_entry_get_security_method (EPortEntry *port_entry);

### e_port_entry_set_security_method ()

    void
    e_port_entry_set_security_method (EPortEntry *port_entry,
                                      CamelNetworkSecurityMethod method);

### e_port_entry_activate_secured_port ()

    void
    e_port_entry_activate_secured_port (EPortEntry *port_entry,
                                        gint index);

### e_port_entry_activate_nonsecured_port ()

    void
    e_port_entry_activate_nonsecured_port (EPortEntry *port_entry,
                                           gint index);

## Types and Values

## Property Details

### The `“is-valid”` property

      “is-valid”                 gboolean

Flags: Read

Default value: FALSE

### The `“port”` property

      “port”                     guint

Flags: Read / Write

Allowed values: <= 65535

Default value: 0

### The `“security-method”` property

      “security-method”          CamelNetworkSecurityMethod

Method used to establish a network connection.

Flags: Read / Write

Default value: CAMEL_NETWORK_SECURITY_METHOD_NONE